Cyberduck Mountain Duck CLI

#8756 closed defect (worksforme)

Connection timed out with parallel transfer option on upload

Reported by: fahrbot Owned by: dkocher
Priority: high Milestone: 4.7
Component: cli Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture: Intel
Platform:

Description (last modified by dkocher)

Uploading works, until we are trying to set couple parallel uploads When --parallel switch is added, with numer greater than 1, then it looks like this

> CWD /wwwroot
< 250 CWD command successful. "/wwwroot" is current directory.
> TYPE A
< 250 CWD command successful. "/wwwroot" is current directory.
< 250 CWD command successful. "/wwwroot" is current directory.
> TYPE A
< 250 CWD command successful. "/wwwroot" is current directory.
> TYPE A
> TYPE A
< 200 Type set to A.
> PASV
< 200 Type set to A.
< 200 Type set to A.
< 200 Type set to A.
> PASV
> PASV
> PASV
< 227 Entering Passive Mode (194,88,154,131,195,192)
< 227 Entering Passive Mode (194,88,154,131,195,192)
< 227 Entering Passive Mode (194,88,154,131,195,192)
Connection failed. Connection timed out: connect. The connection attempt was rejected. The server may be down, or your network may not be proper
y configured.
> QUIT
< 221 Goodbye.
> QUIT
< 221 Goodbye.

Target FTP allows multiple connections - for example in filezilla tehre is no problem with for example 8 parallel connections happens on version 4.7.17400

Change History (13)

comment:1 Changed on Apr 22, 2015 at 8:10:17 AM by dkocher

  • Milestone set to 4.7
  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from [duck cli] - parallel switch problem to Connection timed out with parallel transfer option on upload

comment:2 Changed on Apr 22, 2015 at 8:11:31 AM by dkocher

  • Description modified (diff)

comment:3 Changed on Apr 22, 2015 at 12:47:57 PM by dkocher

  • Priority changed from normal to high

Regression from r17347.

comment:4 Changed on Apr 22, 2015 at 12:56:58 PM by dkocher

Reverted in r17413.We still have a bug with session sharing in the transfer filters.

comment:5 Changed on Apr 22, 2015 at 1:24:55 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r17414.

comment:6 Changed on Apr 23, 2015 at 5:21:58 AM by fahrbot

Sorry, but problem is still there - it hangs execution on last line from listing below.

C:\Program Files (x86)\Cyberduck CLI>duck --upload somehost/wwwroot c:/compiled --password  --username someuser --parallel 4 --verbose
Opening FTP connection to somehost
FTP connection openedà
> FEAT
< 211-Extensions supported:
 AUTH TLS
 CCC
 CLNT
 CPSV
 EPRT
 EPSV
 MDTM
 MFCT
 MFMT
 MLST type*;size*;create;modify*;
 MODE Z
 PASV
 PBSZ
 PROT
 REST STREAM
 SBUF
 SIZE
 SSCN
 TVFS
 UTF8
 XCRC "filename" SP EP
 XMD5 "filename" SP EP
 XSHA1 "filename" SP EP
Authenticating as someuser 
The server supports encrypted connections. Do you want to switch to FTP-SSL? Please contact your web hosting service provider for assistance.
Continue (y) or Change (n):  (y/n): y

> USER someuser 
< 331 Password required for someuser .
> PASS ********
< 230 Usersomeuser  logged in.
> OPTS UTF8 ON
< 501 Please CLNT first.
> SYST
Login successfulà
> CWD /
< 250 CWD command successful. "/" is current directory.
> TYPE A
< 200 Type set to A.
> PASV
< 227 Entering Passive Mode (194,88,154,131,196,0)
> MLSD
< 150 Data connection accepted from 31.0.3.168:32688; transfer starting.
< type=cdir;modify=20150408225331; /
< type=pdir;modify=20150408225331; ..
< type=pdir;modify=20150408225331; /
< type=dir;modify=20150408225331; data
< type=dir;modify=20150413065624; logs
< type=dir;modify=20150422084212; wwwroot
< 226 Transfer ok.
The remote file /wwwroot already exists. Choose what action to take:

        Resume  Append existing files (resume)
        Cancel   (cancel)
        Rename  Rename transferred files with a timestamp appended to the filename (similar)
        Compare Skip files that match size, modification date or checksum (compare)
        Rename existing Rename existing files with timestamp appended to filename (rename)
        Skip    Skip transfer of files that already exist (skip)
        Overwrite       Overwrite all files (overwrite)

Action [resume, cancel, similar, compare, rename, skip, overwrite]: overwrite
Opening FTP connection to ci.stoner.plà
> CWD /wwwroot
< 250 CWD command successful. "/wwwroot" is current directory.
> TYPE A
< 200 Type set to A.
< 220 Gene6 FTP Server v3.10.0 (Build 15) ready...
< 220 Gene6 FTP Server v3.10.0 (Build 15) ready...
FTP connection openedà
FTP connection openedà
> FEAT
> FEAT
> FEAT
< 227 Entering Passive Mode (194,88,154,131,195,235)
< 211-Extensions supported:
 AUTH TLS
 CCC
 CLNT
 CPSV
 EPRT
 EPSV
 MDTM
 MFCT
 MFMT
 MLST type*;size*;create;modify*;
 MODE Z
 PASV
 PBSZ
 PROT
 REST STREAM
 SBUF
 SIZE
 SSCN
 TVFS
 UTF8
 XCRC "filename" SP EP
 XMD5 "filename" SP EP
 XSHA1 "filename" SP EP
211 End.
< 211-Extensions supported:
 AUTH TLS
 CCC
 CLNT
 CPSV
 EPRT
 EPSV
 MDTM
 MFCT
 MFMT
 MLST type*;size*;create;modify*;
 MODE Z
 PASV
 PBSZ
 PROT
 REST STREAM
 SBUF
 SIZE
 SSCN
 TVFS
 UTF8
 XCRC "filename" SP EP
 XMD5 "filename" SP EP
 XSHA1 "filename" SP EP
211 End.
< 211-Extensions supported:
 AUTH TLS
 CCC
 CLNT
 CPSV
 EPRT
 EPSV
 MDTM
 MFCT
 MFMT
 MLST type*;size*;create;modify*;
 MODE Z
 PASV
 PBSZ
 PROT
 REST STREAM
 SBUF
 SIZE
 SSCN
 TVFS
 UTF8
 XCRC "filename" SP EP
 XMD5 "filename" SP EP
 XSHA1 "filename" SP EP
Authenticating as someuser 
Authenticating as someuser 
The server supports encrypted connections. Do you want to switch to FTP-SSL? Please contact your web hosting service provider for assistance.
Continue (y) or Change (n):  (y/n):
The server supports encrypted connections. Do you want to switch to FTP-SSL? Please contact your web hosting service provider for assistance.
The server supports encrypted connections. Do you want to switch to FTP-SSL? Please contact your web hosting service provider for assistance.
< 150 Data connection accepted from 31.0.3.168:43469; transfer starting.
< type=cdir;modify=20150422084212; /wwwroot
< type=pdir;modify=20150408225331; ..
< type=pdir;modify=20150408225331; /
< type=dir;modify=20150422083622; bin
< type=dir;modify=20150422083638; Css
< type=dir;modify=20150422084212; images
< type=dir;modify=20150422084222; js
Prepare blackandwhite.plugin.jsà
> CWD /wwwroot/js
< 250 CWD command successful. "/wwwroot/js" is current directory.
> TYPE A
< 200 Type set to A.
> PASV
< 227 Entering Passive Mode (194,88,154,131,195,190)
> MLSD
< 150 Data connection accepted from 31.0.3.168:34626; transfer starting.
< type=cdir;modify=20150422084222; /wwwroot/js
< type=pdir;modify=20150422084212; ..
< type=pdir;modify=20150422084212; /wwwroot
< type=file;size=3702;modify=20150422084213; blackandwhite.plugin.js
< type=file;size=25689;modify=20150422084213; chosen.jquery.min.js
< type=file;size=17175;modify=20150422084213; colorpicker.js
< type=file;size=19415;modify=20150422084214; excanvas.min.js
< type=file;size=780;modify=20150422084214; fb.js
< type=file;size=16351;modify=20150422084214; goshopui.js
< type=file;size=11250;modify=20150422084215; gsMain.js
< type=file;size=10704;modify=20150422084215; html5shiv.js
< type=file;size=14453;modify=20150422084215; jcarousellite_1.0.1.js
< type=file;size=93871;modify=20150422084216; jquery-1.7.1.min.js
< type=file;size=18789;modify=20150422084216; jquery-ui-1.8.1.custom.min.js
< type=file;size=5147;modify=20150422084216; jquery.bgiframe.js
< type=file;size=60576;modify=20150422084217; jquery.bxslider.js
< type=file;size=8301;modify=20150422084217; jquery.easing.1.3.js
< type=file;size=23180;modify=20150422084217; jquery.fancybox.pack.js
< type=file;size=14698;modify=20150422084218; jquery.flot.growraf.js
< type=file;size=52973;modify=20150422084218; jquery.flot.js
< type=file;size=12200;modify=20150422084218; jquery.flot.time.js
< type=file;size=132860;modify=20150422084219; jquery.mCustomScrollbar.js
< type=file;size=3919;modify=20150422084219; jquery.tooltip.pack.js
< type=file;size=7739;modify=20150422084219; jquery.uniform.min.js
< type=file;size=35799;modify=20150422084220; jquery.uploadify.min.js
< type=file;size=41137;modify=20150422084220; PIE.htc
< type=file;size=1853;modify=20150422084221; placeholder.js
< type=file;size=10223;modify=20150422084221; swfobject.js
< type=file;size=3145;modify=20150422084221; tabs_box.js
< type=file;size=12787;modify=20150422084221; uploadify.swf
< type=file;size=1811;modify=20150422084222; uploadifyLang_en.js
Prepare uploadifyLang_en.jsà

comment:7 Changed on Apr 23, 2015 at 5:22:57 AM by fahrbot

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:8 follow-up: Changed on Apr 23, 2015 at 12:00:17 PM by dkocher

Can you try with using ftps:// to see if the problem might be the insecure connection callback? I have just tried to replicate this issue running on Windows but had no issues.

comment:9 in reply to: ↑ 8 Changed on Apr 23, 2015 at 1:07:52 PM by dkocher

Replying to dkocher:

Can you try with using ftps:// to see if the problem might be the insecure connection callback? I have just tried to replicate this issue running on Windows but had no issues.

Or try to run with --assumeyes with r17419 or later installed.

comment:10 follow-up: Changed on Apr 24, 2015 at 5:48:23 AM by fahrbot

Indeed - -assumeyes fixes problem

comment:11 in reply to: ↑ 10 Changed on Apr 24, 2015 at 9:15:21 AM by dkocher

Replying to fahrbot:

Indeed - -assumeyes fixes problem

The issue was supposed to fixed with r17412.

comment:12 Changed on Apr 24, 2015 at 9:16:06 AM by dkocher

Can you confirm that you still have the issue (with multiple prompts The server supports encrypted connections…) and the transfer hangs waiting for input.

comment:13 Changed on Apr 24, 2015 at 9:16:20 AM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.